Get resolved plugin
curl --request GET \
--url https://api.openworklabs.com/v1/plugins/{pluginId}/resolvedimport requests
url = "https://api.openworklabs.com/v1/plugins/{pluginId}/resolved"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.openworklabs.com/v1/plugins/{pluginId}/resolved', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"pluginId": "<string>",
"configObjectId": "<string>",
"connectorMappingId": "<string>",
"createdByOrgMembershipId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"removedAt": "2023-11-07T05:31:56Z",
"configObject": {
"id": "<string>",
"organizationId": "<string>",
"title": "<string>",
"description": "<string>",
"searchText": "<string>",
"currentFileName": "<string>",
"currentFileExtension": "<string>",
"currentRelativePath": "<string>",
"createdByOrgMembershipId": "<string>",
"connectorInstanceId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"latestVersion": {
"id": "<string>",
"configObjectId": "<string>",
"schemaVersion": "<string>",
"normalizedPayloadJson": {},
"rawSourceText": "<string>",
"createdByOrgMembershipId": "<string>",
"connectorSyncEventId": "<string>",
"sourceRevisionRef": "<string>",
"isDeletedVersion": true,
"createdAt": "2023-11-07T05:31:56Z"
}
}
}
],
"nextCursor": "<string>"
}{
"error": "<string>",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"error": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Plugins
Get resolved plugin
Lists active plugin memberships with the current config object projection for each item.
GET
/
v1
/
plugins
/
{pluginId}
/
resolved
Get resolved plugin
Path Parameters
Den TypeID with 'plg_' prefix and a 26-character base32 suffix.
Required string length:
30Pattern:
^plg_.*Was this page helpful?
⌘I